org.eclipse.rdf4j.rio.helpers

## Class ParseErrorLogger

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.ParseErrorLogger

- All Implemented Interfaces:
    ParseErrorListener

      public class ParseErrorLogger
      extends Object
      implements ParseErrorListener

  A ParseErrorListener that reports Rio parser errors to the SLf4J Logging framework.
  Author:
    jeen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseErrorLogger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(String msg, long lineNo, long colNo)` Reports an error from the parser.
    `void` | `fatalError(String msg, long lineNo, long colNo)` Reports a fatal error from the parser.
    `void` | `warning(String msg, long lineNo, long colNo)` Reports a warning from the parser.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseErrorLogger

          public ParseErrorLogger()

  - ### Method Detail

    - #### warning

          public void warning(String msg,
                              long lineNo,
                              long colNo)

      Description copied from interface: `ParseErrorListener`
      Reports a warning from the parser. Warning messages are generated by the parser when it encounters data that is syntactically correct but which is likely to be a typo. Examples are the use of unknown or deprecated RDF URIs, e.g. `rdfs:Property` instead of `rdf:Property`.
      Specified by:
        `warning` in interface `ParseErrorListener`
      Parameters:
        `msg` - A warning message.
        `lineNo` - A line number related to the warning, or -1 if not available or applicable.
        `colNo` - A column number related to the warning, or -1 if not available or applicable.

    - #### error

          public void error(String msg,
                            long lineNo,
                            long colNo)

      Description copied from interface: `ParseErrorListener`
      Reports an error from the parser. Error messages are generated by the parser when it encounters an error in the RDF document. The parser will try its best to recover from the error and continue parsing when `stopAtFirstError` has been set to `false`.
      Specified by:
        `error` in interface `ParseErrorListener`
      Parameters:
        `msg` - A error message.
        `lineNo` - A line number related to the error, or -1 if not available or applicable.
        `colNo` - A column number related to the error, or -1 if not available or applicable.
      See Also:
        `RDFParser.setStopAtFirstError(boolean)`

    - #### fatalError

          public void fatalError(String msg,
                                 long lineNo,
                                 long colNo)

      Description copied from interface: `ParseErrorListener`
      Reports a fatal error from the parser. A fatal error is an error of which the RDF parser cannot recover. The parser will stop parsing directly after it reported the fatal error. Example fatal errors are unbalanced start- and end-tags in an XML-encoded RDF document.
      Specified by:
        `fatalError` in interface `ParseErrorListener`
      Parameters:
        `msg` - A error message.
        `lineNo` - A line number related to the error, or -1 if not available or applicable.
        `colNo` - A column number related to the error, or -1 if not available or applicable.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.